# Uses of Class
org.apache.avro.SchemaBuilder.BaseFieldTypeBuilder

Packages that use SchemaBuilder.BaseFieldTypeBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.BaseFieldTypeBuilder in org.apache.avro

Subclasses of SchemaBuilder.BaseFieldTypeBuilder in org.apache.avro
Modifier and Type
Class
Description
`static final class`
`SchemaBuilder.FieldTypeBuilder<R>`
FieldTypeBuilder adds `SchemaBuilder.FieldTypeBuilder.unionOf()`, `SchemaBuilder.FieldTypeBuilder.nullable()`, and `SchemaBuilder.FieldTypeBuilder.optional()` to BaseFieldTypeBuilder.
Methods in org.apache.avro that return SchemaBuilder.BaseFieldTypeBuilder
Modifier and Type
Method
Description
`SchemaBuilder.BaseFieldTypeBuilder<R>`
SchemaBuilder.FieldTypeBuilder.`nullable()`
A shortcut for building a union of a type and null, with an optional default value of the non-null type.